FilteredRows (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db.transform

## Class FilteredRows

- java.lang.Object
- - org.apache.cassandra.db.transform.BaseRows<Row,BaseRowIterator<?>>
  - - org.apache.cassandra.db.transform.FilteredRows

- All Implemented Interfaces:
    java.lang.AutoCloseable, java.util.Iterator<Row>, BaseRowIterator<Row>, RowIterator, CloseableIterator<Row>

      public final class FilteredRows
      extends BaseRows<Row,BaseRowIterator<?>>
      implements RowIterator

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.cassandra.db.transform.Stack.MoreContentsHolder[]` | `EMPTY_MORE_CONTENTS_HOLDERS`
    `static Transformation[]` | `EMPTY_TRANSFORMATIONS`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `static RowIterator` | `filter(UnfilteredRowIterator iterator, int nowInSecs)` Filter any RangeTombstoneMarker from the iterator, transforming it into a RowIterator.
    `protected boolean` | `hasMoreContents()`
    `boolean` | `isEmpty()` Returns whether the provided iterator has no data.
    `O` | `next()`

    - ### Methods inherited from class org.apache.cassandra.db.transform.BaseRows

      `applyOne, columns, hasNext, isReverseOrder, metadata, partitionKey, runOnClose, staticRow`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.db.rows.BaseRowIterator

      `columns, isReverseOrder, metadata, partitionKey, staticRow`

    - ### Methods inherited from interface org.apache.cassandra.utils.CloseableIterator

      `close`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, hasNext, next, remove`

- - ### Field Detail

    - #### EMPTY_TRANSFORMATIONS

          public static final Transformation[] EMPTY_TRANSFORMATIONS

    - #### EMPTY_MORE_CONTENTS_HOLDERS

          public static final org.apache.cassandra.db.transform.Stack.MoreContentsHolder[] EMPTY_MORE_CONTENTS_HOLDERS

  - ### Method Detail

    - #### isEmpty

          public boolean isEmpty()

      Description copied from interface: `RowIterator`
      Returns whether the provided iterator has no data.
      Specified by:
        `isEmpty` in interface `BaseRowIterator<Row>`
      Specified by:
        `isEmpty` in interface `RowIterator`

    - #### filter

          public static RowIterator filter(UnfilteredRowIterator iterator,
                                           int nowInSecs)

      Filter any RangeTombstoneMarker from the iterator, transforming it into a RowIterator.

    - #### close

          public final void close()

      Specified by:
        `close` in interface `java.lang.AutoCloseable`

    - #### next

          public final O next()

      Specified by:
        `next` in interface `java.util.Iterator<O extends V>`

    - #### hasMoreContents

          protected final boolean hasMoreContents()

Copyright © 2018 The Apache Software Foundation